<?php
require( "../config.php" );
$align = "left";
$title = "Рассылка";
aut( );
head( );


////////////////////////////////////////////////////////////////
if ($user["level"] >= 8)
{

$goy = (int)$_GET['go'];

switch($goy)
{
default:

$arr = mysql_query("select * from `users`");
$col = mysql_affected_rows();

if ($col == 0) {
echo "Нет пользователей<br />";
} else {
if (empty($_POST['body'])) {
echo "<form action=\"./rass?\" method=\"post\">";
echo "Содержание: <br />";
echo "<input name=\"body\" maxlength=\"750\"/><br />";
echo "<input class=\"ibutton\" type=\"submit\" value=\"Отправить\"/>";
echo "</form>";
} else {

$body = htmlspecialchars($_POST['body']);

while ($row = mysql_fetch_array($arr)) {

$mail_name = $row['id'];

$mail = $row['user'];

mysql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('Рассылка','Система','".$mail."','".$mail_name."','$time','$body')");
}

echo "Отправлено писем: $col <br />";
echo "Писали в письмах: <br /> <font color=\"red\">
$body </font><br />";
echo "Рассылка успешно произведена!<br />";

}
}

echo gb."<a href=\"".H."enter\">Прихожая</a>".div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
break;

if ($user["level"]>=8)
{
echo gb."<a href=\"index\">В админку</a><br />".div;
}
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
}}
?>




